package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "元素信息管理")
public class AtuElementInfoDelDto implements Serializable {
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;

    @ApiModelProperty("元素ID列表")
    private List<String> ids;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }
}
